# commandlist

CommandList provides an index-accessible Iterable that adds, removes, and moves items using Command objects.  This design allows for easy undo and redo capabilities.

## How do I get set up?

To add the published version of this package to your project, create a dependency for commandlist in your pubspec.yaml file:

    dependencies:
      commandlist: ^0.0.1

The most recent development version is available on BitBucket.  You can access it with the following git dependency:

    commandlist:
      git:
	    url: https://bitbucket.org/porcupinesupernova/dart_packages.git
	    path: commandlist

A simple usage example:

    import 'package:commandlist\commandlist.dart';

    main(){
      var list = new CommandList<String>();
      var command = list.insert("Hello world");
      command.undo();
    }

## Submitting issues

Submit issues in the [issue tracker](https://bitbucket.org/porcupinesupernova/dart_packages/issues)